## org.apache.coyote
Interface OutputBuffer

All Known Subinterfaces:
  OutputFilter

All Known Implementing Classes:
  AjpAprProcessor.SocketOutputBuffer, AjpProcessor.SocketOutputBuffer, ChunkedOutputFilter, GzipOutputFilter, IdentityOutputFilter, InternalAprOutputBuffer, InternalAprOutputBuffer.SocketOutputBuffer, InternalNioOutputBuffer, InternalNioOutputBuffer.SocketOutputBuffer, InternalOutputBuffer, InternalOutputBuffer.OutputStreamOutputBuffer, JkInputStream, MemoryProtocolHandler.ByteChunkOutputBuffer, VoidOutputFilter

    public interface OutputBuffer

Output buffer. This class is used internally by the protocol implementation. All writes from higher level code should happen via Resonse.doWrite().

Author:
  Remy Maucherat

Method Summary
`int` `doWrite(ByteChunk chunk, Response response)` Write the response.

Method Detail

### doWrite

    int doWrite(ByteChunk chunk,
                Response response)
                throws java.io.IOException

  Write the response. The caller ( tomcat ) owns the chunks.

  Parameters:
    `chunk` - data to write
    `response` - used to allow buffers that can be shared by multiple responses.
  Returns:
  Throws:
    `java.io.IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.